{{#if virtual}}*{{/if}}{{#with (parentObject)}}{{#if virtual}}*{{/if~}}{{/with~}}
{{#if name}}{{#sig~}}
{{{@depOpen}~}}
[{{{@codeOpen}~}}
{{#if @prefix}}{{@prefix}} {{/if~}}
{{!-- {{#if (isEvent)}}{{@accessSymbol}}"{{{name}}}"{{else}}{{#unless (regexp-test name "^#?[a-zA-Z_$][a-zA-Z0-9_$]*$")}}["{{{name}}}"]{{else}}{{@accessSymbol}}{{{name}}}{{/unless~}}{{/if~}} --}}
{{@accessSymbol}}{{#if (isEvent)}}"{{{name}}}"{{else}}{{{name}}}{{/if~}}
{{~#if @methodSign}}{{#if (isEvent)}} {{@methodSign}}{{else}}{{@methodSign}}{{/if}}{{/if~}}
{{{@codeClose}}}](#{{{slugifyAnchorName (anchorName)}}})
{{~#if @returnSymbol}} {{@returnSymbol}}{{/if~}}
{{#if @returnTypes}} {{>linked-type-list types=@returnTypes delimiter=" \| " }}{{/if~}}
{{#if @suffix}} {{@suffix}}{{/if~}}
{{{@depClose}~}}
{{~/sig}}{{/if~}}
{{#if virtual}}*{{/if}}{{#with (parentObject)}}{{#if virtual}}*{{/if~}}{{/with~}}